<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.76
Name: [2] Dane wykonanej operacji/zabiegu
Description: Szablon CDA dla danych wykonanej usługi w przypadku operacji lub zabiegu
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000">
   <title>[2] Dane wykonanej operacji/zabiegu</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]"
         id="tmp-r-b0c6a195-aeed-45d7-9dcf-e7ee41adaf37">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76'])&gt;=1 and not(hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/@nullFlavor)">(plCdaDocumentationOfSurgicalOperation): element hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76'])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']"
         id="tmp-r-d67db9d1-ab94-4f4b-8a5e-50ffa5d731b7">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="string(@typeCode)='DOC'">(plCdaDocumentationOfSurgicalOperation): Wartość dla @typeCode MUSI wynosić 'DOC'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76']/@nullFlavor)">(plCdaDocumentationOfSurgicalOperation): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76'])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]])&gt;=1 and not(hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/@nullFlavor)">(plCdaDocumentationOfSurgicalOperation): element hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76']
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76']"
         id="tmp-r-26702e15-d62b-4d48-b86c-3fa0826c66b6">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.76'">(plCdaDocumentationOfSurgicalOperation): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.76'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDocumentationOfSurgicalOperation): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]"
         id="tmp-r-205a65c5-f585-4ba8-9481-41b971265b57">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="string(@classCode)='ACT'">(plCdaDocumentationOfSurgicalOperation): Wartość dla @classCode MUSI wynosić 'ACT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="string(@moodCode)='EVN'">(plCdaDocumentationOfSurgicalOperation): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:id)&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:id jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor] jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(plCdaDocumentationOfSurgicalOperation): element hl7:effectiveTime jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:performer[@typeCode='PPRF']|hl7:performer[@typeCode!='PPRF'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="$elmcount&gt;=1">(plCdaDocumentationOfSurgicalOperation): wybór (hl7:performer[@typeCode='PPRF'] lub hl7:performer[@typeCode!='PPRF']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:performer[@typeCode='PPRF'])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:performer[@typeCode='PPRF'] jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:performer[@typeCode='PPRF'])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:performer[@typeCode='PPRF'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:id
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:id"
         id="tmp-r-16b2096c-0c0f-4636-8d4b-08bc65b0a207">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]"
         id="tmp-r-67b56bef-4087-4e79-99fe-e6b12bba53ad">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.2.6')">(plCdaDocumentationOfSurgicalOperation): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.2.6'.</assert>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="hl7:translation/@codeSystem='2.16.840.1.113883.3.4424.11.2.6'">(plCdaDocumentationOfSurgicalOperation): Nie można użyć kodu ze słownika ICD-9 PL do kodowania tłumaczenia kodu zabiegu/procedury.</report>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime"
         id="tmp-r-70a09997-5c0e-4991-a729-141b09b47631">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:low)&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:low jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:low)&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:low występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:high)&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:high jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:high)&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:high występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime/hl7:low
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime/hl7:low"
         id="tmp-r-58081a86-bda9-4808-abc6-7bc2b1bee5e2">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2),'T',substring(@value,9,2),':',substring(@value,11,2),':00') castable as xs:dateTime">(plCdaDocumentationOfSurgicalOperation): Data musi być w formacie YYYYMMDDHHMM.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime/hl7:high
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime/hl7:high"
         id="tmp-r-06742b1d-dace-4193-95cd-c7f5295ad2e7">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2),'T',substring(@value,9,2),':',substring(@value,11,2),':00') castable as xs:dateTime">(plCdaDocumentationOfSurgicalOperation): Data musi być w formacie YYYYMMDDHHMM.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']"
         id="tmp-r-cbc4e068-ed19-4550-b08f-4c5ba6a1ec52">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="@typeCode">(plCdaDocumentationOfSurgicalOperation): atrybut @typeCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaDocumentationOfSurgicalOperation): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@typeCode,' ') return if ($code=('PPRF')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(plCdaDocumentationOfSurgicalOperation): Wartość dla typeCode MUSI wynosić 'kod PPRF'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:functionCode[@code='PRISURG' or @nullFlavor])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:functionCode[@code='PRISURG' or @nullFlavor] jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:functionCode[@code='PRISURG' or @nullFlavor])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:functionCode[@code='PRISURG' or @nullFlavor] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:time)&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:time występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']/hl7:functionCode[@code='PRISURG' or @nullFlavor]
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']/hl7:functionCode[@code='PRISURG' or @nullFlavor]"
         id="tmp-r-9eb91a6f-1342-4f95-8d3d-e621916f1ad2">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="@nullFlavor or (@code='PRISURG')">(plCdaDocumentationOfSurgicalOperation): Wartość elementu MUSI wynosić code 'PRISURG'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']/hl7:time
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']/hl7:time"
         id="tmp-r-0c03d62d-a3a3-4901-a7be-4373fcf3927d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']
Item: (plCdaDocumentationOfSurgicalOperation)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']"
         id="tmp-r-8d8c260a-5026-4f88-94d7-f09682191c13">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="@typeCode">(plCdaDocumentationOfSurgicalOperation): atrybut @typeCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaDocumentationOfSurgicalOperation): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19601-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(plCdaDocumentationOfSurgicalOperation): Wartość dla typeCode MUSI pochodzić z zbiór wartości 'x_ServiceEventPerformer' (DYNAMICZNE)</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:time)&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:time występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']/hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']/hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-4f234efc-4d54-4157-b88f-ebbe3bd7ea02">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaDocumentationOfSurgicalOperation): Wartość elementu MUSI wynosić ParticipationFunction (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaDocumentationOfSurgicalOperation): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ParticipationFunction (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']/hl7:time
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']/hl7:time"
         id="tmp-r-ccd51778-e613-494e-ad1b-5f947f0c756c">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']
Item: (plCdaDocumentationOfSurgicalOperation)
--></pattern>
